Ubuntu&&debian能装RPM包吗,怎么装?

为当前最终发行版之前的所有版本提供支持
回复
头像
ipv6now
帖子: 759
注册时间: 2006-09-30 1:08
来自: QingDao
送出感谢: 0
接收感谢: 0
联系:

Ubuntu&&debian能装RPM包吗,怎么装?

#1

帖子 ipv6now » 2006-10-01 16:13

如题
头像
oneleaf
论坛管理员
帖子: 10238
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 107 次

#2

帖子 oneleaf » 2006-10-01 16:59

可以使用 alien 转为 deb 包来安装,但是不推荐,这样还不如使用 checkinstall 编译为deb,来安装。
头像
ipv6now
帖子: 759
注册时间: 2006-09-30 1:08
来自: QingDao
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 ipv6now » 2006-10-01 17:06

谢谢
左迟
帖子: 124
注册时间: 2006-08-24 14:09
送出感谢: 0
接收感谢: 0

#4

帖子 左迟 » 2006-10-01 19:11

我也记得有alien命令可以转换,不过有些deb包都会引起ubuntu的冲突,所以不推荐。
下载源文件编译得好,现在的软件包下载一般都提供源文件,RPM和DEB包。
hello world
头像
stlxv
论坛版主
帖子: 8274
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#5

帖子 stlxv » 2006-10-01 23:00

先装上rpm:

代码: 全选

apt-get install rpm
装的时候直接解压rpm到/。当然有些rpm带有安装脚本的,那就运行rpm来安装,安装时带上--no-deps参数
或者也可以先转换成deb再安装
PHP是最好的语言!不服来战!
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#6

帖子 bones7456 » 2006-10-02 22:21

alien不错,我的gxmame就是这么装上去的!
回复

回到 “老旧版本支持”